Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040180
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfacemajoralways2019-02-11 18:202019-02-21 09:24
ReporterlbressanView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision6b45cce606e0
ProjectionnoneETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tocaristu
Web browserMozilla Firefox
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040180: Error tabulating in grid mode of an standard window.

DescriptionUsing Firefox version 65.0, in the grid view of an standard window, like "Business Partner" or "Purchase Order", when we press "TAB Key" instead of moving to the next column, moves two columns to the right.
Steps To Reproduce1. Use Firefox version 65.0, logging into Openbravo.
2. Go to a standard window, like "Business Partner" or "Purchase Order", and set the grid mode.
3. Click in search box at the top of grid and press "TAB Key".
4. The cursor move two column to the right instead to next column.
TagsNo tags attached.
Attached Files? file icon Error Demo.ogv [^] (2,842,160 bytes) 2019-02-11 18:20

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0109980)
hgbot (developer)
2019-02-21 09:24

Repository: erp/devel/pi
Changeset: 6b45cce606e02c890c1d2bebdbad69e7d38dd1d4
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Feb 20 10:42:06 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/6b45cce606e02c890c1d2bebdbad69e7d38dd1d4 [^]

Fixed issue 40180: Wrong tab behavior on grid view in Firefox 65+.

Applied a patch from latest Smartclient 12 code that prevents that keypress
events are fired twice for tab key in Firefox 65+.

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/isomorphic/ISC_Combined.js
---
(0109981)
hgbot (developer)
2019-02-21 09:24

Repository: erp/mods/org.openbravo.userinterface.smartclient.dev
Changeset: 584977f889910f6cef1966e1d50907b5a026a8cd
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Feb 20 10:55:23 2019 +0100
URL: http://code.openbravo.com/erp/mods/org.openbravo.userinterface.smartclient.dev/rev/584977f889910f6cef1966e1d50907b5a026a8cd [^]

Related to issue 40180: Wrong tab behavior on grid view in Firefox 65+.

Applied a patch from latest Smartclient 12 code that prevents that keypress
events are fired twice for tab key in Firefox 65+.

---
M web/org.openbravo.userinterface.smartclient/isomorphic/client/event/EventHandler.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/development/ISC_Core.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/modules-debug/ISC_Core.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/modules/ISC_Core.js
---

- Issue History
Date Modified Username Field Change
2019-02-11 18:20 lbressan New Issue
2019-02-11 18:20 lbressan Assigned To => platform
2019-02-11 18:20 lbressan File Added: Error Demo.ogv
2019-02-11 18:20 lbressan Web browser => Mozilla Firefox
2019-02-11 18:20 lbressan Modules => Core
2019-02-11 18:20 lbressan Triggers an Emergency Pack => No
2019-02-14 13:13 miguelmartinez Issue Monitored: miguelmartinez
2019-02-15 12:57 jarmendariz Assigned To platform => jarmendariz
2019-02-15 12:57 jarmendariz Status new => acknowledged
2019-02-20 10:34 jarmendariz Status acknowledged => scheduled
2019-02-21 09:23 jarmendariz Review Assigned To => caristu
2019-02-21 09:23 jarmendariz Web browser Mozilla Firefox => Mozilla Firefox
2019-02-21 09:24 hgbot Checkin
2019-02-21 09:24 hgbot Note Added: 0109980
2019-02-21 09:24 hgbot Status scheduled => resolved
2019-02-21 09:24 hgbot Resolution open => fixed
2019-02-21 09:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6b45cce606e02c890c1d2bebdbad69e7d38dd1d4 [^]
2019-02-21 09:24 hgbot Checkin
2019-02-21 09:24 hgbot Note Added: 0109981


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker